Name:           qpid-gui-tools
Version:        1.0.0
Release:        4%{?dist}
Summary:        GUI utilities for Red Hat MRG qpid

License:        ASL 2.0
URL:            http://eallen.fedorapeople.org/
Source0:        http://eallen.fedorapeople.org/%{name}-%{version}.tar.bz2
Group:          Applications/System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  qpid-qmf-devel
BuildRequires:  qpid-cpp-client-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
qpid-gui-tools - Graphical tools built with qt that display
information about qpid brokers, queues, messages, exchanges, etc.

%global _app    qpid-xbroker

%prep
%setup -q -c %{name}

%build
%cmake %{name}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#install the application icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
cp -p %{name}/images/%{_app}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

# install the .desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications  \
%{name}/%{_app}.desktop

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{_app}
%{_datadir}/applications/%{_app}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{_app}.png
%doc %{name}/README.txt
%doc %{name}/license.txt

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog

* Mon Feb 27 2012 Ernie Allen <eallen@redhat.com> 1.0.0-4
- use version macro in Source0
- change Group to Applications/System
- add hicolor-icon-theme to Requires

* Wed Feb 22 2012 Ernie Allen <eallen@redhat.com> 1.0.0-3
- use global macro instead of define
- use desktop-file-install instead of manual mkdir/copy
and desktop-file-validate
- added changelog entry for prior changes

* Tue Feb 21 2012 Ernie Allen <eallen@redhat.com> 1.0.0-2
- removed the version from cmake
- added a buildroot definition for EL 5
- removed defattr
- removed the Requires
- used the name macro
- added a .desktop file and icon. Installs under the Accessories menu
- added license.txt to doc section
- changed the bindir macro to {_bindir}

* Fri Jan 13 2012 Ernie Allen <eallen@redhat.com> 1.0.0-1
- Initial version containing /usr/bin/qpid-xbroker
